Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.application
Class HeaderPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.application.HeaderPresentationContext

All Implemented Interfaces:
  Serializable

public class HeaderPresentationContext
extends PresentationContext

This class represents a portal header component. All presentation-related attributes of a header component are available from instances of this class. Such instances are typically used during portal rendering via look and feel skeleton files (e.g. header.jsp).

See Also:
  `getHeaderPresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Field Summary
`protected static String` | `CLASS_NAME`

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Method Summary
`static HeaderPresentationContext` | `getHeaderPresentationContext(HttpServletRequest request)` This is a convenience method for returning a reference to the optional `HeaderPresentationContext`.

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getContextFromRequest, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    protected static final String CLASS_NAME

Method Detail

### getHeaderPresentationContext

    public static HeaderPresentationContext getHeaderPresentationContext(HttpServletRequest request)

  This is a convenience method for returning a reference to the optional `HeaderPresentationContext`. Note this method will only work if called from within a portal (typically, from the header.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters:
    `request` - The current HTTPServletRequest instance
  Returns:
    A reference to the current HeaderPresentationContext, if any

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved